﻿$ErrorActionPreference = 'Stop';

$packageName= 'taskfactory'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = 'http://download.pragmaticworks.com/release/2017.1/TaskFactory_2017.1.3.202.exe'

$packageArgs = @{
  packageName   = $packageName
  unzipLocation = $toolsDir
  fileType      = 'EXE'
  url           = $url

  silentArgs    = "/quiet /norestart"
  validExitCodes= @(0, 3010, 1641)

  softwareName  = 'task-factory*'
  checksum = '82FA1E3064FDC0340818C9BC1C0AA6EAD1B72DFE7A15DEBAF581B65801DA6D20'
  checksumType = 'sha256'
  checksum64 = 'ODJGQTFFMzA2NEZEQzAzNDA4MThDOUJDMUMwQUE2RUFEMUI3MkRGRTdBMTVERUJBRjU4MUI2NTgwMURBNkQyMA=='
  checksumType64 = 'sha256'
}

Install-ChocolateyPackage @packageArgs
